/*
 * soft_rtc.h
 *
 *  Created on: Jul 22, 2024
 *      Author: colorbass
 */

#ifndef INC_SOFT_RTC_H_
#define INC_SOFT_RTC_H_

#include "main.h"

uint32_t get_Current_Time();
void set_Time(uint32_t unix_time);
void unix_to_bcd(uint32_t unix_time, uint8_t *time);
void writeTimeReg(uint8_t reg_number, uint8_t value);
uint8_t getTimeReg(uint8_t reg_number);

#endif /* INC_SOFT_RTC_H_ */
